Bug 505048 - mod_file_cache.so, mod_mem_cache.so missing after update to 11
mod_file_cache.so, mod_mem_cache.so missing after update to 11
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
11
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-10 09:54 EDT by Matt Castelein
Modified: 2009-10-23 03:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 13:47:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Castelein 2009-06-10 09:54:26 EDT
The lines:

LoadModule file_cache_module modules/mod_file_cache.so
LoadModule mem_cache_module modules/mod_mem_cache.so

were in httpd.conf apparently by default; Now after updating to Fedora 11 they are missing, and httpd refuses to start.

The new package is httpd-2.2.11-8.x86_64
Comment 1 Brian Millett 2009-06-11 09:39:06 EDT
The Changelog for httpd-2.2.11-8 RPM for i586 shows:

* Tue Mar 17 2009 Joe Orton <jorton@redhat.com> 2.2.11-8
  - fix pidfile in httpd.logrotate (thanks to Rainer Traut)
  - don't build mod_mem_cache or mod_file_cache


WHY!!!  What logic is that Joe?
Comment 2 Milos Jakubicek 2009-06-20 15:36:33 EDT
Regardless of the fact whether they should or shouldn't be built, the httpd.conf entry has to correspond, now it is broken and makes httpd not starting, fix this asap please!
Comment 3 Milos Jakubicek 2009-06-20 15:40:54 EDT
...sorry, I was too fast and didn't notice there was a httpd.conf.rpmnew which was *correct*. Once again sorry for the noise.
Comment 4 Matt Castelein 2009-06-24 13:47:15 EDT
Milos is right, the http.conf.rpmnew was correct and just needed to be merged into the running configuration.
Comment 5 borisbar7 2009-08-07 07:25:47 EDT
I use this modules.
It's useful modules, please add to next build.

one more bug:
https://bugzilla.redhat.com/show_bug.cgi?id=493424

Thanks
Comment 6 Mike McGrath 2009-10-22 14:41:05 EDT
Can the old modules be packaged?  I still use them.
Comment 7 Joe Orton 2009-10-23 03:46:32 EDT
Mike: technical justification needed to continue shipping these modules, in bug 493458.

Note You need to log in before you can comment on or make changes to this bug.